%global _empty_manifest_terminate_build 0
%global pypi_name  jupyter_server_mathjax

%global _description %{expand:
MathJax resources as a Jupyter Server Extension.}

Name:		python-%{pypi_name}
Version: 	0.2.6
Release: 	1
Summary: 	MathJax resources as a Jupyter Server Extension.
License: 	BSD 3-Clause
URL:		http://jupyter.org/	
Source0: 	%{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch: 	noarch

BuildRequires:  python3-devel
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm
BuildRequires:  python3-jupyter-packaging

%description %_description

%package -n python3-%{pypi_name}
Summary: 	MathJax resources as a Jupyter Server Extension.
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name} %_description

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_build

%install
%pyproject_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/jupyter_server_mathjax/
%{python3_sitelib}/%{pypi_name}-%{version}.dist-info/
%{_usr}/etc/jupyter/jupyter_server_config.d/jupyter_server_mathjax.json
 
%changelog
* Thu Aug 17 2023 li-miaomiao_zhr <mmlidc@isoftstone.com> - 0.2.6-1
- Package init
